| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | Protected Attributes | List of all members
wxRichTextObjectAddress Class Reference
Class List by Category » Rich Text

`#include <wx/richtext/richtextbuffer.h>`

## Detailed Description

A class for specifying an object anywhere in an object hierarchy, without using a pointer, necessary since wxRTC commands may delete and recreate sub-objects so physical object addresses change.

An array of positions (one per hierarchy level) is used.

##

Library: wxRichText
Category: Rich Text

See also
  wxRichTextCommand

## Public Member Functions

| wxRichTextObjectAddress (wxRichTextParagraphLayoutBox *topLevelContainer, wxRichTextObject *obj)
| Creates the address given a container and an object. More...
| wxRichTextObjectAddress ()
| wxRichTextObjectAddress (const wxRichTextObjectAddress &address)
void | Init ()
void | Copy (const wxRichTextObjectAddress &address)
| Copies the address. More...
void | operator= (const wxRichTextObjectAddress &address)
| Assignment operator. More...
wxRichTextObject * | GetObject (wxRichTextParagraphLayoutBox *topLevelContainer) const
| Returns the object specified by the address, given a top level container. More...
bool | Create (wxRichTextParagraphLayoutBox *topLevelContainer, wxRichTextObject *obj)
| Creates the address given a container and an object. More...
wxArrayInt & | GetAddress ()
| Returns the array of integers representing the object address. More...
const wxArrayInt & | GetAddress () const
| Returns the array of integers representing the object address. More...
void | SetAddress (const wxArrayInt &address)
| Sets the address from an array of integers. More...

## Protected Attributes

wxArrayInt | m_address

## Constructor & Destructor Documentation

wxRichTextObjectAddress::wxRichTextObjectAddress | ( | wxRichTextParagraphLayoutBox * | topLevelContainer,
|  | wxRichTextObject * | obj
| ) |  |

inline

Creates the address given a container and an object.

wxRichTextObjectAddress::wxRichTextObjectAddress | ( |  | ) |

inline

wxRichTextObjectAddress::wxRichTextObjectAddress | ( | const wxRichTextObjectAddress & | address | ) |

inline

## Member Function Documentation

void wxRichTextObjectAddress::Copy | ( | const wxRichTextObjectAddress & | address | ) |

inline

Copies the address.

bool wxRichTextObjectAddress::Create | ( | wxRichTextParagraphLayoutBox * | topLevelContainer,
|  | wxRichTextObject * | obj
| ) |  |

Creates the address given a container and an object.

wxArrayInt& wxRichTextObjectAddress::GetAddress | ( |  | ) |

inline

Returns the array of integers representing the object address.

const wxArrayInt& wxRichTextObjectAddress::GetAddress | ( |  | ) | const

inline

Returns the array of integers representing the object address.

wxRichTextObject* wxRichTextObjectAddress::GetObject | ( | wxRichTextParagraphLayoutBox * | topLevelContainer | ) | const

Returns the object specified by the address, given a top level container.

void wxRichTextObjectAddress::Init | ( |  | ) |

inline

void wxRichTextObjectAddress::operator= | ( | const wxRichTextObjectAddress & | address | ) |

inline

Assignment operator.

void wxRichTextObjectAddress::SetAddress | ( | const wxArrayInt & | address | ) |

inline

Sets the address from an array of integers.

## Member Data Documentation

wxArrayInt wxRichTextObjectAddress::m_address

protected